SDL_SetTrayEntryLabel(3)

NAME
SDL_SetTrayEntryLabel - Sets the label of an entry.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetTrayEntryLabel(SDL_TrayEntry *entry, const char *label);

DESCRIPTION
An entry cannot change between a separator and an ordinary entry; that is, it is not possible to set a non-NULL label on an entry that has a NULL label (separators), or to set a NULL label to an entry that has a non-NULL label. The function will silently fail if that happens.

FUNCTION PARAMETERS

entry
    the entry to be updated.

label
    the new label for the entry in UTF-8 encoding.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetTrayEntries(3), •(3), SDL_InsertTrayEntryAt(3), •(3), SDL_GetTrayEntryLabel(3)